Subject: Re: [mobile-ip] Draft 15

From: James Kempf <[email-masked]>
Date: Tue, 25 Sep 2001 15:45:12 -0700 (PDT)

Hi Charlie,
Hi Charlie,

Thanx for the reply.

>The lower limit is 0.05 seconds (I hope!).
>

Right, sorry.

>> The text I'd be interested in seeing added is the following:
>> 
>>         In addition to increasing the frequency of advertisment,
>>         an access router MAY use any combination of mechanisms to
>>         detect when a mobile node has established a new link with the
>>         subnet serviced by the router and to inform the mobile node
>>         via a Router Advertisement of the mobile node's new
>>         point of attachment.
>
>I have several comments on this.  First, I'm not so much adverse
>to making clear that routers can employ varous mechanisms to
>do motion detection.  But I am quite reluctant to go down the
>path of specifying every conceivable circumstance.  I do not
>subscribe to the theory that we have to say that a protocol
>entity can only use protocol messages in exactly some set of
>circumstances.  Instead, it is important to stick to what comes
>out over the physical medium. From this, I would say that we
>need to say that Router Advertisements can be sent by the router
>at arbitrary times (but not to exceed the fastest rate) and with
>periodicity in conformance to the values it advertises.
>

I agree.

>>                               An access router MAY unicast
>>         a Router Advertisement to a mobile node if it discovers
>>         that one has established a link,
>
>If this isn't already obvious from the previous parts of
>the specfication, then we should make it so.  For instance,
>section 6.5 already says:
>
>   Thus, to provide good support for mobile nodes, Mobile IPv6 relaxes
>   this limit such that routers MAY send unsolicited multicast Router 
>   Advertisements more frequently.
>

I think it would be good to make it explicit. As I mentioned, it
was not obvious to some during the recent discussion of fast
handoff.

>Your sentence would logically come after this one, if more needs
>to be said.
>
>>                                           or it MAY multicast a
>>         Router Advertisement in response to link establishment
>>         rather than periodically.
>
>Here, wouldn't it be important to limit the use of multicast?
>Unicast would be better.  If the mobile node's IP address is
>unavailable, then maybe the multicast IP packet would be sent
>to the mobile node's specific layer-2 address.  Do you think
>it's important to have this multicast feature?
>

I think the unicast feature is superior, and, as you say, the
router can send it to the layer-2 address.

>>                                    The intent is to speed up informing
>>         the mobile node of its new attachment point, to reduce the
>>         overall delay in establishing a new care of address.
>
>Again, I'd rather avoid trying to specify intentions, if possible.
>

OK.

>> The idea behind this text is to allow the access router the same
>> freedom to optimize as the mobile node is granted in the first
>> few paragraphs of Section 10, while still keeping the same simplicity,
>> generality, and interoperability of the standard MIPv6 movement detection
>> algorithm.
>
>I agree that we should allow access routers to do whatever they can
>do to increase the performance of Mobile IPv6.
>

Great, thanx. I think the changes you've outlined above would do more
to make sure people don't misinterpret the specification as disallowing
optimization.

		jak